// Script for testing the sidebox framework

importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.view);

rinput = bsf.lookupBean("request");
rc = new TextMessage("Test Display","JavaScript subtitle");
blort = "If this had been an actual emergency we would all be dead by now."
rc.text = "This is a test.<BR>This is only a test.<BR>" + blort;
rc.addButton(LinkTypes.ABSOLUTE,"TODO","ok");
rc.addButton(LinkTypes.ABSOLUTE,"TODO","cancel");
rc2 = new SideBoxNestedView(rinput,rc);
vlib.output(rc2);
